<template>
    <div>
        <div v-if="parents">
            <app-post 
                v-for="parent in parents(id)"  
                :post="parent"
                :key="parent.id"
                class="!border-b-8 border-gray-400" 
            />
        </div>

        <div class="text-lg">
            <app-post 
                v-if="post(id)" 
                :post="post(id)" 
            />
        </div>

        <div v-if="replies">
            <app-post
                v-for="reply in replies(id)"
                :post="reply"
                :key="reply.id"
                class="!border-t-8 border-gray-400"
            />
        </div>
    </div>
</template>
<script>
import { mapGetters, mapActions } from 'vuex';
export default {
    props: {
        id: {
            required: true,
            type: String
        }
    },

    computed: {
        ...mapGetters({
            post: 'conversation/post',
            parents: 'conversation/parents',
            replies: 'conversation/replies'
        })
    },

    methods: {
        ...mapActions({
            getPosts: 'conversation/getPosts',
        })  
    },

    mounted() {
        this.getPosts(`/api/posts/${this.id}`);
        this.getPosts(`/api/posts/${this.id}/replies`);
    },

}
</script>